<?php
/*
Plugin Name: Premmerce installer
Description: Premmerce installer
Version: 1.0
*/

if(defined('WP_INSTALLING') && WP_INSTALLING == true){
	add_action('wp_install', function($user){

		if(!function_exists('activate_plugin')){
			require_once ABSPATH . WPINC . 'plugin.php';
		}
		activate_plugins([
			'woocommerce/woocommerce.php',
			'wordpress-seo/wp-seo.php',
			'ml-slider/ml-slider.php',
			'premmerce/premmerce.php',
			'premmerce-redirect-manager/premmerce-redirect.php',
			'premmerce-search/premmerce-search.php',
			'premmerce-user-roles/premmerce-users-roles.php',
			'premmerce-woocommerce-brands/premmerce-brands.php',
			'premmerce-woocommerce-product-bundles/premmerce-product-bundles.php',
			'premmerce-woocommerce-product-filter/premmerce-filter.php',
			'premmerce-woocommerce-wholesale-pricing/premmerce-price-types.php',
			'premmerce-woocommerce-wishlist/premmerce-wishlist.php',
			'woo-customers-manager/premmerce-extended-users.php',
			'woo-permalink-manager/premmerce-url-manager.php',
			'woo-seo-addon/premmerce-seo-addon.php',
			'contact-form-7/wp-contact-form-7.php',
		]);
		delete_transient('_wc_activation_redirect');

		foreach(['storefront', 'saleszone-premium'] as $theme){
			$theme = wp_get_theme($theme);
			if($theme->exists()){
				switch_theme($theme->get_stylesheet());
				break;
			}
		}
	});
}
