<?php namespace Premmerce\UsersRoles\Models;

/**
 * Class AdminModel
 * @package Premmerce\UsersRoles\Models
 */
class AdminModel
{
    /**
     * Get list of all roles or if set $roleName get current role
     *
     * @param string $roleName
     * @return array|mixed
     */
    public function getRoles($roleName = '')
    {
        $roles = [];

        $sql = 'SELECT option_value FROM wp_options WHERE option_name = "wp_user_roles"';

        $data = $this->getVar($sql);

        if ($data) {
            if ($roleName != "") {
                $queryRoles = unserialize($data);

                $roles = $queryRoles[$roleName];
            } else {
                $roles = unserialize($data);
            }
        }

        return $roles;
    }

    /**
     * Update role data
     *
     * @param string $roleName
     * @param array $roleData
     */
    public function setRoles($roleName, $roleData)
    {
        global $wpdb;

        $roles = $this->getRoles();

        $roles[$roleName] = $roleData;

        $wpdb->update(
            'wp_options',
            ['option_value' => serialize($roles)],
            ['option_name' => 'wp_user_roles']
        );
    }

    /**
     * Getting a certain table cell
     *
     * @param $sql
     * @return null|string
     */
    private function getVar($sql)
    {
        global $wpdb;

        return $wpdb->get_var($sql);
    }
}
